Skip to main content
GET
/
sources
/
{source_id}
/
annotations
List Source Annotations
curl --request GET \
  --url https://apigcp.trynia.ai/v2/sources/{source_id}/annotations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "content": "<string>",
    "kind": "note",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

source_id
string
required

Query Parameters

type
enum<string> | null

Source type hint

Available options:
repository,
documentation,
research_paper,
huggingface_dataset,
local_folder,
slack,
google_drive

Response

Successful Response

id
string
required

Annotation identifier

content
string
required

Annotation text

kind
enum<string>
default:note

Annotation category

Available options:
note,
tip,
warning,
gotcha
created_at
string | null

Creation timestamp (ISO)

updated_at
string | null

Last update timestamp (ISO)